#ifndef _RETINANET_CLASSIFY_INFERENCE_H_
#define _RETINANET_CLASSIFY_INFERENCE_H_

#include "AppCommon.h"
#include "inference.h"

class RetinanetClassifyInference: public Inference
{
public:
    RetinanetClassifyInference();
    ~RetinanetClassifyInference();

    int RetinanetClassifyInferenceInit(ModelCommonInfo* pRetinanetModelInfo, const std::string& strModelName, const std::string& strEngineName);
    int RetinanetClassifyInferenceDeinit(void);
    int RetinanetClassifyInferenceModel(cv::Mat& frame, bool& bLabel);

private:
    ModelCommonInfo*  pRetinanetModelInfo_ = nullptr;
};


#endif  //END OF _RETINANET_CLASSIFY_INFERENCE_H_